summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-08-03 13:38:29 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-08-03 13:38:29 +0000
commita482f759bb47e5b30a9f02706bf993a84a8db632 (patch)
tree5d6b6236f40d13ccaaf696b2714f816a68cc2b4a /dev-python
parent9cf5e0511c90efe65fb3e647a3b8fb551f986747 (diff)
downloadbaldeagleos-repo-a482f759bb47e5b30a9f02706bf993a84a8db632.tar.gz
baldeagleos-repo-a482f759bb47e5b30a9f02706bf993a84a8db632.tar.xz
baldeagleos-repo-a482f759bb47e5b30a9f02706bf993a84a8db632.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/PyQt5/PyQt5-5.15.5_pre2107091435.ebuild7
-rw-r--r--dev-python/ament_package/Manifest2
-rw-r--r--dev-python/ament_package/ament_package-0.12.0.ebuild (renamed from dev-python/ament_package/ament_package-0.9.2.ebuild)2
-rw-r--r--dev-python/boto3/Manifest1
-rw-r--r--dev-python/boto3/boto3-1.18.12.ebuild57
-rw-r--r--dev-python/botocore/Manifest1
-rw-r--r--dev-python/botocore/botocore-1.21.12.ebuild59
-rw-r--r--dev-python/bottleneck/bottleneck-1.3.2.ebuild2
-rw-r--r--dev-python/cairocffi/cairocffi-1.2.0.ebuild2
-rw-r--r--dev-python/cfn-python-lint/Manifest1
-rw-r--r--dev-python/cfn-python-lint/cfn-python-lint-0.53.0.ebuild57
-rw-r--r--dev-python/clang-python/Manifest1
-rw-r--r--dev-python/clang-python/clang-python-13.0.0_rc1.ebuild41
-rw-r--r--dev-python/django/Manifest2
-rw-r--r--dev-python/django/django-3.2.6.ebuild103
-rw-r--r--dev-python/django/files/django-3.2.6-argparse-py310.patch52
-rw-r--r--dev-python/gast/Manifest1
-rw-r--r--dev-python/gast/gast-0.5.2.ebuild20
-rw-r--r--dev-python/httpx/httpx-0.18.2.ebuild2
-rw-r--r--dev-python/ipython/ipython-7.25.0.ebuild2
-rw-r--r--dev-python/isort/Manifest2
-rw-r--r--dev-python/isort/isort-5.8.0.ebuild51
-rw-r--r--dev-python/isort/isort-5.9.1.ebuild60
-rw-r--r--dev-python/isort/isort-5.9.2.ebuild2
-rw-r--r--dev-python/jwcrypto/Manifest1
-rw-r--r--dev-python/jwcrypto/jwcrypto-1.0.0.ebuild31
-rw-r--r--dev-python/lit/Manifest1
-rw-r--r--dev-python/lit/lit-13.0.0_rc1.ebuild39
-rw-r--r--dev-python/natsort/natsort-7.1.1.ebuild2
-rw-r--r--dev-python/numpy/numpy-1.21.1.ebuild2
-rw-r--r--dev-python/patsy/patsy-0.5.1.ebuild2
-rw-r--r--dev-python/pipenv/files/pipenv-2021-5-29-r1-remove-attr-vendor-import.patch95
-rw-r--r--dev-python/pipenv/pipenv-2021.5.29-r1.ebuild54
-rw-r--r--dev-python/priority/priority-2.0.0.ebuild2
-rw-r--r--dev-python/psycopg/Manifest2
-rw-r--r--dev-python/psycopg/psycopg-2.8.6-r1.ebuild55
-rw-r--r--dev-python/psycopg/psycopg-2.9.1.ebuild2
-rw-r--r--dev-python/psycopg/psycopg-2.9.ebuild55
-rw-r--r--dev-python/pyenchant/pyenchant-3.2.1.ebuild2
-rw-r--r--dev-python/pyproject2setuppy/Manifest1
-rw-r--r--dev-python/pyproject2setuppy/pyproject2setuppy-19.ebuild29
-rw-r--r--dev-python/pytables/pytables-3.6.1.ebuild2
-rw-r--r--dev-python/reno/Manifest1
-rw-r--r--dev-python/reno/reno-3.4.0.ebuild39
-rw-r--r--dev-python/rq/Manifest1
-rw-r--r--dev-python/rq/rq-1.8.1.ebuild53
-rw-r--r--dev-python/rq/rq-1.9.0.ebuild2
-rw-r--r--dev-python/scipy/scipy-1.6.3.ebuild2
-rw-r--r--dev-python/sip/sip-4.19.25-r1.ebuild2
-rw-r--r--dev-python/sphinx/Manifest1
-rw-r--r--dev-python/sphinx/files/sphinx-4.1.2-py310.patch63
-rw-r--r--dev-python/sphinx/sphinx-4.1.2.ebuild133
-rw-r--r--dev-python/sqlalchemy/sqlalchemy-1.4.20.ebuild2
-rw-r--r--dev-python/wxpython/wxpython-4.0.7-r1.ebuild2
-rw-r--r--dev-python/wxpython/wxpython-4.0.7.ebuild89
-rw-r--r--dev-python/xmlschema/Manifest1
-rw-r--r--dev-python/xmlschema/xmlschema-1.7.0.ebuild31
57 files changed, 940 insertions, 389 deletions
diff --git a/dev-python/PyQt5/PyQt5-5.15.5_pre2107091435.ebuild b/dev-python/PyQt5/PyQt5-5.15.5_pre2107091435.ebuild
index e29c7c34814c..f43d9dfe2658 100644
--- a/dev-python/PyQt5/PyQt5-5.15.5_pre2107091435.ebuild
+++ b/dev-python/PyQt5/PyQt5-5.15.5_pre2107091435.ebuild
@@ -127,9 +127,9 @@ src_configure() {
--qmake="$(qt5_get_bindir)"/qmake
--no-make
$(usev debug '--debug --qml-debug --tracing')
- --enable=QtCore
- --enable=QtXml
+ --enable=Qt
$(pyqt_use_enable bluetooth)
+ --enable=QtCore
$(pyqt_use_enable dbus QtDBus)
$(usex dbus '' --no-dbus-python)
$(pyqt_use_enable declarative QtQml QtQuick $(usev widgets QtQuickWidgets))
@@ -155,7 +155,10 @@ src_configure() {
$(pyqt_use_enable websockets QtWebSockets)
$(pyqt_use_enable widgets)
$(pyqt_use_enable x11extras QtX11Extras)
+ --enable=QtXml
$(pyqt_use_enable xmlpatterns QtXmlPatterns)
+ --enable=pylupdate
+ --enable=pyrcc
)
echo "${myconf[@]}"
"${myconf[@]}" || die
diff --git a/dev-python/ament_package/Manifest b/dev-python/ament_package/Manifest
index 9751c89d67f9..414ea1eb6525 100644
--- a/dev-python/ament_package/Manifest
+++ b/dev-python/ament_package/Manifest
@@ -1 +1 @@
-DIST ament_package-0.9.2.tar.gz 19471 BLAKE2B 5a2f4d326fae5976ca452666149f17019ef70005142aaf0ec57369df5ba53a99a0e10d15964843e0ba841a9eee1f268df76e4584ac0c004de091fa5bd773a6e1 SHA512 eb9def5eb0faf159d3082eac436059529886644c38a9f40183a7bef8e66ab7ef4d4fc266fe434128c25f040e369d4a6b9f376b0661cbf959960f3c62280c778d
+DIST ament_package-0.12.0.tar.gz 20119 BLAKE2B 98f013af8e17b2fcc0a516d90dbb517ae3ad292259665d188da1cf08aa5c863ab5f161f0a0e5d6ecf1bc85c1c5f7e050b9e29ffa65c2d8f9653d6619a5ba9c7c SHA512 d8e2984b7055fb796ddcfe2fad563da98d75e377c8d10ffa57a09e7636dfba92a81dc4580c35564fb8b749d123dc64138ed443561e7bce25b8785d0b980396cb
diff --git a/dev-python/ament_package/ament_package-0.9.2.ebuild b/dev-python/ament_package/ament_package-0.12.0.ebuild
index 4f36bc0e6ca8..91d9796c64dc 100644
--- a/dev-python/ament_package/ament_package-0.9.2.ebuild
+++ b/dev-python/ament_package/ament_package-0.12.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 2019-2020 Gentoo Authors
+# Copyright 2019-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index a2308d99bbe0..f8da7f4e6a76 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -4,6 +4,7 @@ DIST boto3-1.18.0.tar.gz 392345 BLAKE2B 8d464e038892cd77d7b171c27f41eee31c630ebc
DIST boto3-1.18.1.tar.gz 392759 BLAKE2B bfa0bcfba9a413fbb13b2698f3ef2461cac99a9fddea0fe16d790a0ddab60fcd46b13ac4026536b9f89fb65ff703d61a4f01499423aa54289f17fc0f035ea2d6 SHA512 1aca424ff105fe2049c94aeaff306a683dd4eb9ac9b88303ff4857f53ddb4d3f267ef69119f8cbdb8463ab12331b2d89149fd0b10ccd23c4fde9485e63ba0005
DIST boto3-1.18.10.tar.gz 398199 BLAKE2B 950b40afd867a8df9f8154e35572f3302c03c686d3299aac100ffd18a82c9e9a6657a4910f89f385dfb742c32e315110fc61bf00d2dc14892c4051eef5c642c8 SHA512 0391faf993faf8f4cc28e309f3267acc1beb38229f633f4c409820d45e968b1a93a7c74798ee84aebcd29b4547c9f301decd451e89b65a34297f796e1f839826
DIST boto3-1.18.11.tar.gz 398542 BLAKE2B cecccf462510a6deb55308ea4156ae081d2357480e5d8c160797032c62554ac708f37b38e1cbe26a18e2087a268b392a145d0733400a86e4fca19a5416700ad8 SHA512 63cbea62fcd71fee1c53219f6016fe38bd08afdef0c27d918bd078d04803d14ddd4782c0182e304542314df4bcf081d802d1f581b25ccae3327c4df80e40dabe
+DIST boto3-1.18.12.tar.gz 398935 BLAKE2B 87f8627459908e4ff4bfde7ca7d325a355635c8e7c77cee515d30a443bfaba8474e3637e8facd8fd77778c2faab272e6526df92e96c59db4901bd3be44fce24d SHA512 bef678df9f073bb56152e8e56b4341e40aa98120ded26d1794d3e91382a994929150a06eee543d5397f065e66a9dad192b1a30e89f9d430f8a305a6d1e5a99b9
DIST boto3-1.18.2.tar.gz 393528 BLAKE2B 20424f9a8ff013d1d9724f741ad6754747de504fb961688f433eba74ce1d6df7e95d68c45be1e87df1532f99b2fa4d7e8b00671a8ae9a378a4df74764924cdaa SHA512 287a1f24f62fa83fd944632799540257b2f8d6cf3b5d6add57be60e4f49dafd685bb4fcceef37fe907edba00a7f2285d92bd8d381b03e45ac794b22fdcfe8783
DIST boto3-1.18.3.tar.gz 393645 BLAKE2B 4967ac751e9ff5a86f6f571961df31d82f6012ade28aa19a038399077bf5a1b968dfa1172995423890b79a2ede54e2c6f6c1937e8ccf21010f17a4d96928df62 SHA512 f9c42257f0925fffaeb1a36e4731dc54fee1836c249617444292991d043dbb9b58472f73a806981c9763b569cc7402b378f6e1e0102fe0f995a7754807f19b38
DIST boto3-1.18.4.tar.gz 394442 BLAKE2B e82726143b353b843e915ea78ea2e033077ee495b1d416866f5c231f8bd864372496736d266b2b848ed8afd3134bd865c507291fd2fbdd5cae00a92ce3c5e76d SHA512 b3ba1328476a1c642c6b813afc3879e904bc14da69e062156df0405b3da6d2a15a4a40602f24d0a067a83cc441ce5a5e353dacb84869b0fe24e9984c0dec719f
diff --git a/dev-python/boto3/boto3-1.18.12.ebuild b/dev-python/boto3/boto3-1.18.12.ebuild
new file mode 100644
index 000000000000..bee358e1c595
--- /dev/null
+++ b/dev-python/boto3/boto3-1.18.12.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="https://github.com/boto/boto3"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/boto3"
+ inherit git-r3
+ BOTOCORE_PV=${PV}
+else
+ SRC_URI="https://github.com/boto/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+ # botocore is x.(y+3).z
+ BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 3)).$(ver_cut 3-)"
+fi
+
+RDEPEND="
+ >=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.3.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests nose
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # prevent an infinite loop
+ rm tests/functional/docs/test_smoke.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ nosetests -v tests/unit/ tests/functional/ ||
+ die "test failed under ${EPYTHON}"
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index 1541b8916fbd..499c0867a250 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -4,6 +4,7 @@ DIST botocore-1.21.0.tar.gz 7955550 BLAKE2B 7e68375d07d858dc2071538c2382d8693df2
DIST botocore-1.21.1.tar.gz 7954248 BLAKE2B d6e7a71d6dd90ed0fcf0dbab3182dcdfa4072e65a1f344d44ac30abc829ac6c546a0ebcdee51f61ae65008550acf65052b49530ae3b3a62d81af222e6e8a0929 SHA512 86d4b4159a96426e7ab853b06564604fd9729011199ba691f6204a7e5f52d9927b93511b73cfc03b65bce706563c6d50b577d85d0de0e50fb5d877472d8326dc
DIST botocore-1.21.10.tar.gz 8001298 BLAKE2B bbc762302462d9eb5e223245c8dd2430e6f190b643502d3a124e3831f531f014e49bb54bde768fc2dc7313e5b6ca7c78076a74511d724396370d1f699366ab44 SHA512 8e3c90d24ce5c6ae76376649c1ec191bdca162adfa8ab1b33903cffa9ccf2d7b306efe36b9d81f53f579170516c91c7c3f47a00d3033f5b691f2495b0ac97b88
DIST botocore-1.21.11.tar.gz 8003282 BLAKE2B a7ada604bef2d5130169b0905acfb1ed51fbbafbb9df29d2ed3e3cbf89b44ded59b0de1baffe46b27b10e854b190517d95a26022cc22145fbeb42c46cdb780ae SHA512 45f66cdbbc66dc74c5aac003eb67569533088486fbd3443077be7d6ecb4fe9b8ba9a9de04b94b44fe02167f7261fc9675b7cfb8973de95510d4401a237416713
+DIST botocore-1.21.12.tar.gz 8003489 BLAKE2B 39249b2ccbca9cc11b8acaef59064de3f6533a399949eac6c7168feab987f98914e213cfa4e39067c431e65ec04929b68787f971cd3847229668f12c723f8194 SHA512 7332026e1fab6bc36627f5d9de21367d99ec307e8ff4591671713e81ad44b0549ce7d4fc04f992fc120ba55c54ebc8b5095ef5e4888bca19e0d2aeea25dbbc0a
DIST botocore-1.21.2.tar.gz 7960118 BLAKE2B 11d2845e1846c03591625a95b21ff6fe1acb1448414a5f09de1d427614e927d974fafe5dd5d4f195aeb2f3b86d60822a8c73f1bc532bb45c85be8421f92eedc3 SHA512 501f059518026bef10fe933d20a3348b4140cff9ef1af38e17552aea8698179135f5271604e988f53c215e3a13158d7784a49a6b56c0d4db591f99dac9c57ca8
DIST botocore-1.21.3.tar.gz 7959023 BLAKE2B aab15319b9f36c25ee88f2bf0b2efcb6bbffeac1b4e38dcbdfde3a947f702016e77b66c4b125ca2b63614223109fd793da68f9ce1b1d14476cdd6a3fcb10dfce SHA512 5a8ce8f612fd0e1c68a75223dda95673f72159b02a040d1a71920b7e75b3aa9d14589c33a52970182970a353308954e8cd6d5f97d374e0e2ee2cd40e0dce786e
DIST botocore-1.21.4.tar.gz 7964960 BLAKE2B 71d55b47633aa658a9dc921375c77230a6ebb89460d9de5a9982d730e03247972476400dbcf292da0a885789860117c1abc9bf803c79547049b242feb8755d15 SHA512 4a36e5870d9996973e2258f2e6afeb7381ac94d14075eaa9885f6f89afb87fa5b4461b02ab234b4ecc8e24630434dbb839e8ad30f622de6ffa5402f872f84a97
diff --git a/dev-python/botocore/botocore-1.21.12.ebuild b/dev-python/botocore/botocore-1.21.12.ebuild
new file mode 100644
index 000000000000..5684261bd4b3
--- /dev/null
+++ b/dev-python/botocore/botocore-1.21.12.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="https://github.com/boto/botocore"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/botocore"
+ inherit git-r3
+else
+ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
+fi
+
+RDEPEND="
+ dev-python/six[${PYTHON_USEDEP}]
+ dev-python/jmespath[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ )
+"
+
+PATCHES=(
+ "${FILESDIR}/1.8.6-tests-pass-all-env-vars-to-cmd-runner.patch"
+)
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests nose
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+ # very unstable
+ sed -i -e 's:test_stress_test_token_bucket:_&:' \
+ tests/functional/retries/test_bucket.py || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ # note: suites need to be run separately as one of the unit tests
+ # seems to be leaking mocks and breaking a few functional tests
+ nosetests -v tests/unit ||
+ die "unit tests failed under ${EPYTHON}"
+ nosetests -v tests/functional ||
+ die "functional tests failed under ${EPYTHON}"
+}
diff --git a/dev-python/bottleneck/bottleneck-1.3.2.ebuild b/dev-python/bottleneck/bottleneck-1.3.2.ebuild
index d30c0521aed1..cb0d3f7598b6 100644
--- a/dev-python/bottleneck/bottleneck-1.3.2.ebuild
+++ b/dev-python/bottleneck/bottleneck-1.3.2.ebuild
@@ -12,7 +12,7 @@ SRC_URI="https://github.com/kwgoodman/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz
SLOT="0"
LICENSE="BSD"
-KEYWORDS="amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv x86 ~amd64-linux ~x86-linux"
+KEYWORDS="amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc x86 ~amd64-linux ~x86-linux"
RDEPEND="
>=dev-python/numpy-1.9.1[${PYTHON_USEDEP}]
diff --git a/dev-python/cairocffi/cairocffi-1.2.0.ebuild b/dev-python/cairocffi/cairocffi-1.2.0.ebuild
index ba95491bcbda..c1d01b2295dd 100644
--- a/dev-python/cairocffi/cairocffi-1.2.0.ebuild
+++ b/dev-python/cairocffi/cairocffi-1.2.0.ebuild
@@ -13,7 +13,7 @@ SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
-KEYWORDS="amd64 ~arm arm64 ~ppc ppc64 ~riscv ~sparc x86"
+KEYWORDS="amd64 ~arm arm64 ~hppa ~ppc ppc64 ~riscv ~sparc x86"
RDEPEND="
$(python_gen_cond_dep '
diff --git a/dev-python/cfn-python-lint/Manifest b/dev-python/cfn-python-lint/Manifest
index e4d5479e3662..6ba2044bb1d7 100644
--- a/dev-python/cfn-python-lint/Manifest
+++ b/dev-python/cfn-python-lint/Manifest
@@ -1,3 +1,4 @@
DIST cfn-lint-0.50.0.tar.gz 7061105 BLAKE2B bba39823b729b0a53dcc97341b6408654190bceb86acd7de0e2ee1a4ae34234ca6ddc3a4d374c38115632faa0fbbb51fbf07cf717853dd917a262ef5c1116ac9 SHA512 9dc5c00946a9bb142771a4b63571043056b1f522348f11256d7d3181e750c251cfab805a66df884b496fd7639442da0e72f65c0a43cc2ce2ed35f214031c7b1a
DIST cfn-lint-0.51.0.tar.gz 7125333 BLAKE2B 5f18c03cba52e8f38eb4998ce3640564b6346cd788bc7ca4eebbeebf709fddb130de3fd0c99f5e1585aa07fb965f97ec05d48154bb6788f961c31301058d9ac7 SHA512 6b0eada5204da1c4efbf1a548b74065008bf55142b666aefbc5c1e9311eaaef96e83fd427157be4d3dec98d2e5377ed7f21266af0662e565fdf2aeb6883bb1e4
DIST cfn-lint-0.52.0.tar.gz 7221391 BLAKE2B 20422bb191e9537ba6950db8c40894ab07655389a0a81eff3489f5bcd626bd81c6f9749f885b8be4f4939f16abe62fbbde7c741e770e6265c28bd59740144558 SHA512 81274b973ede2e60ef113d5ec4e2052dc11ed0a85b79079dd1b40e8afae3738cbd963b2e703f5016e216b2844df8711a34ff024e5dc4b1b12e774176bbe88489
+DIST cfn-lint-0.53.0.tar.gz 7501025 BLAKE2B 0f979ff74e020aa192c040bcc633df8133ed77559afd2fa637af0b02f190f516dc7b3bd2154b9e5ecf3e2edcbf624879727ccbcaab81493f450305e6e1790002 SHA512 58d63e1b9ee7cd64ff30e938d98992dca6214945464c27d61b6d6c7e0daab27daa1feb7f2631de172e9cbf1b22699894b7fb7becd7a292b5efeeedd402db3374
diff --git a/dev-python/cfn-python-lint/cfn-python-lint-0.53.0.ebuild b/dev-python/cfn-python-lint/cfn-python-lint-0.53.0.ebuild
new file mode 100644
index 000000000000..b92a0c2dfd4a
--- /dev/null
+++ b/dev-python/cfn-python-lint/cfn-python-lint-0.53.0.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+# TODO: pkgmove to cfn-lint
+MY_P=${P/-python}
+DESCRIPTION="CloudFormation Linter"
+HOMEPAGE="https://pypi.org/project/cfn-lint/ https://github.com/aws-cloudformation/cfn-lint/"
+SRC_URI="
+ https://github.com/aws-cloudformation/cfn-lint/archive/v${PV}.tar.gz
+ -> ${MY_P}.tar.gz"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+RDEPEND="
+ >=dev-python/aws-sam-translator-1.38.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/importlib_resources[${PYTHON_USEDEP}]
+ ' python3_6)
+ dev-python/jsonpatch[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-3.0[${PYTHON_USEDEP}]
+ dev-python/junit-xml[${PYTHON_USEDEP}]
+ dev-python/networkx[${PYTHON_USEDEP}]
+ >=dev-python/pyyaml-5.4[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.15.0[${PYTHON_USEDEP}]
+ >=dev-python/six-1.11[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests --install unittest
+
+PATCHES=(
+ "${FILESDIR}/cfn-python-lint-0.30.1-tests.patch"
+)
+
+src_prepare() {
+ # unpin the deps
+ sed -e 's:~=[0-9.]*::' -i setup.py || die
+ # requires git checkout
+ sed -e 's:test_update_docs:_&:' \
+ -i test/unit/module/maintenance/test_update_documentation.py || die
+ # requires Internet
+ sed -e 's:test_update_resource_specs_python:_&:' \
+ -i test/unit/module/maintenance/test_update_resource_specs.py || die
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/clang-python/Manifest b/dev-python/clang-python/Manifest
index 104b03477e7a..b6a66e33b837 100644
--- a/dev-python/clang-python/Manifest
+++ b/dev-python/clang-python/Manifest
@@ -2,3 +2,4 @@ DIST llvmorg-10.0.1.tar.gz 120880730 BLAKE2B 30f19f56c4d1f6abcda5fec76256219d1e3
DIST llvmorg-11.1.0.tar.gz 122776532 BLAKE2B ca842ff4afff8f44c82b5e7383962a9c45ca1c93b64fa4c6ebcd70a1d3849dbad2b8e4e24fba02d144c6266d7fab3607ebc6999b28c229cb35256cf40f26a985 SHA512 9a8ce022a935eed42fa71a224f2a207122aadcbef58ee855fdb4825f879e7d028e4dcff22c19b9d336db1c8bf63fb84372d44981acf84615f757e54306c92b81
DIST llvmorg-12.0.0.tar.gz 134226215 BLAKE2B f9c3ba8c58571855caa4f206fd285c9b5be66672fb0814cb8bc0964a051f57f5d35013aa1e27cbda502652b37df1ec23474129109e76a42066847860db441dbe SHA512 0cff02155c5ac0d6db2b72d60d9819d5b5dd859663b45f721b1c7540239c2fceb1f57d9173f6870c49de851c242ed8e85c5c6d6577a1f8092a7c5dcd12513b26
DIST llvmorg-12.0.1.tar.gz 134259748 BLAKE2B f41de787bc73ff2edfda1b22cc8602be6f65f37dd9e4c8888533cfa8c3ccdcf4f108aaab9de23ab0ab987966eb160f2a553a0bdff99461e71ddd5bfcd086090d SHA512 6eb0dc18e2c25935fabfdfc48b0114be0939158dfdef7b85b395fe2e71042672446af0e68750aae003c9847d10d1f63316fe95d3df738d18f249174292b1b9e1
+DIST llvmorg-13.0.0-rc1.tar.gz 147235597 BLAKE2B 089fed119dee8a16f278cebb13808bd5a95629cc87ebee3050225cc041b78fee51acacc5bcc913d4a99e830bfe5774b19a04a845293c5087dd2a8c9d94d2fde9 SHA512 6e307e2c2dcb7ff41d11ee29d69f41c0ef55f200999847a3a924a2e773fc9c2160015746789af8b723c628bd232f97fce63370209bd0065491d80b0cc0017e85
diff --git a/dev-python/clang-python/clang-python-13.0.0_rc1.ebuild b/dev-python/clang-python/clang-python-13.0.0_rc1.ebuild
new file mode 100644
index 000000000000..2f2f8087f297
--- /dev/null
+++ b/dev-python/clang-python/clang-python-13.0.0_rc1.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit llvm.org python-r1
+
+DESCRIPTION="Python bindings for sys-devel/clang"
+HOMEPAGE="https://llvm.org/"
+
+LICENSE="Apache-2.0-with-LLVM-exceptions UoI-NCSA"
+SLOT="0"
+KEYWORDS=""
+IUSE="test"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+RESTRICT="!test? ( test )"
+
+# The module is opening libclang.so directly, and doing some blasphemy
+# on top of it.
+RDEPEND="
+ >=sys-devel/clang-${PV}:*
+ !sys-devel/llvm:0[clang(-),python(-)]
+ !sys-devel/clang:0[python(-)]
+ ${PYTHON_DEPS}"
+DEPEND="${RDEPEND}"
+
+LLVM_COMPONENTS=( clang/bindings/python )
+llvm.org_set_globals
+
+python_test() {
+ "${EPYTHON}" -m unittest discover -v || die "Tests fail with ${EPYTHON}"
+}
+
+src_test() {
+ python_foreach_impl python_test
+}
+
+src_install() {
+ python_foreach_impl python_domodule clang
+}
diff --git a/dev-python/django/Manifest b/dev-python/django/Manifest
index d1ab52f5e4b1..fe0e31a141ce 100644
--- a/dev-python/django/Manifest
+++ b/dev-python/django/Manifest
@@ -4,3 +4,5 @@ DIST Django-3.1.13.checksum.txt 2552 BLAKE2B e82052d952f7dfd15e11b413fe2f106af3d
DIST Django-3.1.13.tar.gz 9656683 BLAKE2B bb2dd72ba2dfc13c8f487d6b59cd9302160800dca4f63b92e640eddf4aba2e5b1bd67580e56477bced44a5393b5f65a463a9c0c539ba998a20606bffdfafcf74 SHA512 55b1ceb24b6e0ba542a96319f63b138439532cf4b00971a8432baaab4a8ee219cc9fbb31d457ba7da9e932c919df83da9630866d909df4a5d432866b158098d7
DIST Django-3.2.5.checksum.txt 2543 BLAKE2B 4a07a518bdde4670dc3bf079d8d3cfa32b6580cc06f18306a2127463f3a6a2d8f2a50c4562092439c7c99ccf80dde160b061180826c94d4e1064d5064ff500fe SHA512 b073ff758843f72b6467dae7580941774de9702db02a6fab303cb696cb22c84ca961885792e8ec85545294610f34a4eb52ac3f6521c190d2c339c1957ab4156a
DIST Django-3.2.5.tar.gz 9806547 BLAKE2B d804d758f95f18aac5c44cba9bd9248efa56cba91bea5db2ac89e8c2202ac1fd088b61d6cc98eb7d6d33a95f85983b801c6cc26a3231986a8cf224a0bbeb8a7c SHA512 03d4eee650a857bed298658c68b916beb74690d16b4b28d649c52a7c2d8a61e92f53136d2de3a77fabe1dd01c0e6b3033befc6842f39c222793fb590b1020c13
+DIST Django-3.2.6.checksum.txt 2551 BLAKE2B 2fae4e3daca01f285f651b76df7402a0c08cdea9a98bdc3be3f9b337732c26b2a3dcb239fc06274b6a30227394047476d454bf34fd7e8b765df047510b08620c SHA512 66b9dff471928be514198e50e62f46d14fbea9c1cfb55e9d82562271795fc3e719e0bb8c43a1f6ff6c903700b648a6a0e19e335ddc50df2a7fa539911b6d44b6
+DIST Django-3.2.6.tar.gz 9821499 BLAKE2B 9f18d308bf15ef16a9fe9d84219bd7ad37833b718ff975344aae5950ef01a7a0e8ef8669936c8908e38e07fb078ce2e2d6392968177400c2357b1d3787e0ce39 SHA512 adf2d2ab3006cc5b389bed8d8e16ee8c98393b20d719c3521068e5cc5d1e679b9f660be90f827ea1cc6a41f975641c32bdb0779ee145e5e31a501ca9e06898a4
diff --git a/dev-python/django/django-3.2.6.ebuild b/dev-python/django/django-3.2.6.ebuild
new file mode 100644
index 000000000000..63464dfdaccc
--- /dev/null
+++ b/dev-python/django/django-3.2.6.ebuild
@@ -0,0 +1,103 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+PYTHON_REQ_USE='sqlite?,threads(+)'
+
+inherit bash-completion-r1 distutils-r1 optfeature verify-sig
+
+MY_P=${P^}
+DESCRIPTION="High-level Python web framework"
+HOMEPAGE="https://www.djangoproject.com/ https://pypi.org/project/Django/"
+SRC_URI="
+ https://media.djangoproject.com/releases/$(ver_cut 1-2)/${MY_P}.tar.gz
+ verify-sig? ( https://media.djangoproject.com/pgp/${MY_P}.checksum.txt )"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="BSD"
+# admin fonts: Roboto (media-fonts/roboto)
+LICENSE+=" Apache-2.0"
+# admin icons, jquery, xregexp.js
+LICENSE+=" MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~x64-macos"
+IUSE="doc sqlite test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ >=dev-python/asgiref-3.3.4[${PYTHON_USEDEP}]
+ dev-python/pytz[${PYTHON_USEDEP}]
+ >=dev-python/sqlparse-0.2.2[${PYTHON_USEDEP}]"
+BDEPEND="
+ test? (
+ $(python_gen_impl_dep sqlite)
+ ${RDEPEND}
+ dev-python/docutils[${PYTHON_USEDEP}]
+ dev-python/jinja[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-python/pillow[webp,${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ dev-python/selenium[${PYTHON_USEDEP}]
+ dev-python/tblib[${PYTHON_USEDEP}]
+ sys-devel/gettext
+ !!<dev-python/ipython-7.21.0-r1
+ !!=dev-python/ipython-7.22.0-r0
+ )
+ verify-sig? ( >=app-crypt/openpgp-keys-django-20201201 )
+"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-3.1-bashcomp.patch
+ # https://github.com/django/django/pull/14732
+ "${FILESDIR}"/${P}-argparse-py310.patch
+)
+
+distutils_enable_sphinx docs --no-autodoc
+
+VERIFY_SIG_OPENPGP_KEY_PATH=${BROOT}/usr/share/openpgp-keys/django.asc
+
+src_unpack() {
+ if use verify-sig; then
+ cd "${DISTDIR}" || die
+ verify-sig_verify_signed_checksums \
+ "${MY_P}.checksum.txt" sha256 "${MY_P}.tar.gz"
+ cd "${WORKDIR}" || die
+ fi
+
+ default
+}
+
+python_prepare_all() {
+ # Fails because of warnings
+ sed -i 's/test_dumpdata_proxy_with_concrete/_&/' tests/fixtures/tests.py
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ # Tests have non-standard assumptions about PYTHONPATH,
+ # and don't work with ${BUILD_DIR}/lib.
+ PYTHONPATH=. "${EPYTHON}" tests/runtests.py --settings=test_sqlite -v2 ||
+ die "Tests fail with ${EPYTHON}"
+}
+
+python_install_all() {
+ newbashcomp extras/django_bash_completion ${PN}-admin
+ bashcomp_alias ${PN}-admin django-admin.py
+
+ distutils-r1_python_install_all
+}
+
+pkg_postinst() {
+ optfeature_header "Additional Backend support can be enabled via:"
+ optfeature "MySQL backend support" dev-python/mysqlclient
+ optfeature "PostgreSQL backend support" dev-python/psycopg:2
+ optfeature_header
+ optfeature "GEO Django" "sci-libs/gdal[geos]"
+ optfeature "Memcached support" dev-python/pylibmc dev-python/python-memcached
+ optfeature "ImageField Support" dev-python/pillow
+ optfeature "Password encryption" dev-python/bcrypt
+ optfeature "High-level abstractions for Django forms" dev-python/django-formtools
+}
diff --git a/dev-python/django/files/django-3.2.6-argparse-py310.patch b/dev-python/django/files/django-3.2.6-argparse-py310.patch
new file mode 100644
index 000000000000..3702a4c58c72
--- /dev/null
+++ b/dev-python/django/files/django-3.2.6-argparse-py310.patch
@@ -0,0 +1,52 @@
+From dc7d30c03ff72917584952e70b3b25c9a0c59033 Mon Sep 17 00:00:00 2001
+From: =?UTF-8?q?Micha=C5=82=20G=C3=B3rny?= <mgorny@gentoo.org>
+Date: Tue, 3 Aug 2021 10:04:22 +0200
+Subject: [PATCH] Refs #32074 -- Update expected argparse error in invalid
+ choice test
+
+Python 3.10.0rc1 changed the error messages issued by argparse on
+invalid choice to include the argument name. Update the expected test
+output to account for that.
+---
+ django/utils/version.py | 1 +
+ tests/user_commands/tests.py | 5 +++--
+ 2 files changed, 4 insertions(+), 2 deletions(-)
+
+diff --git a/django/utils/version.py b/django/utils/version.py
+index 4b26586b36..54b10e89d7 100644
+--- a/django/utils/version.py
++++ b/django/utils/version.py
+@@ -13,6 +13,7 @@ PY36 = sys.version_info >= (3, 6)
+ PY37 = sys.version_info >= (3, 7)
+ PY38 = sys.version_info >= (3, 8)
+ PY39 = sys.version_info >= (3, 9)
++PY310 = sys.version_info >= (3, 10)
+
+
+ def get_version(version=None):
+diff --git a/tests/user_commands/tests.py b/tests/user_commands/tests.py
+index 9262e2717a..9da0977c38 100644
+--- a/tests/user_commands/tests.py
++++ b/tests/user_commands/tests.py
+@@ -17,7 +17,7 @@ from django.test import SimpleTestCase, override_settings
+ from django.test.utils import captured_stderr, extend_sys_path, ignore_warnings
+ from django.utils import translation
+ from django.utils.deprecation import RemovedInDjango41Warning
+-from django.utils.version import PY37
++from django.utils.version import PY37, PY310
+
+ from .management.commands import dance
+
+@@ -334,7 +334,8 @@ class CommandTests(SimpleTestCase):
+ self.assertIn('bar', out.getvalue())
+
+ def test_subparser_invalid_option(self):
+- msg = "Error: invalid choice: 'test' (choose from 'foo')"
++ msg = "Error: %sinvalid choice: 'test' (choose from 'foo')" % (
++ 'argument {foo}: ' if PY310 else '')
+ with self.assertRaisesMessage(CommandError, msg):
+ management.call_command('subparser', 'test', 12)
+ if PY37:
+--
+2.32.0
+
diff --git a/dev-python/gast/Manifest b/dev-python/gast/Manifest
index 0f9e6ded9e87..bc330c82a89a 100644
--- a/dev-python/gast/Manifest
+++ b/dev-python/gast/Manifest
@@ -1,2 +1,3 @@
DIST gast-0.5.0.tar.gz 14933 BLAKE2B 5d70d832d69185227e574a4bf88752e1dff43ef0e3e78a1de8ac7ab96218530d37a6dd0a3e6e4bf1fe8e11afe98b8d87722bfc2d6c8b68d8ac4905f335c2b85a SHA512 31c204587b3abcde61ce7343bef8439fab7e36c46de17eb2e02138e3d709f8f70e24c2c5d045044ef06e42119a50566c881d293c1c815743655354e72304701d
DIST gast-0.5.1.tar.gz 14094 BLAKE2B e58e989198991fac1036363f7d1f7aa831263f0a9e5e616470fb6b7732b2bd39b9ce71cfd97b990bc29c3b9a978c56b90e375ec3d4a9b3c6692f44fd36d9309b SHA512 955154d273e97bdb80528bf17bc060e6266c524218d81469ed99e09d099cfa320af5c8384f8cc51d22be254578221e068d7a2e2bd3f0279cb65d40a4eead7766
+DIST gast-0.5.2.tar.gz 14222 BLAKE2B b251f9aa54d8bdba318f0c8aa7fe97221615a22b7dec8da99b15078ce0f482ac8ec931b9c0acba3a405f2ab3c820a1c578ab93583f9f84740571dd85a3fcb45d SHA512 2a06245ba93f2c0715f662e32e0865732828deb672bc70c3d70a4969c8a2e4c518354a4a63760eddeba53932d4f8bf0ae0ffab64f1a1ad3b20d5b2d18285cd6a
diff --git a/dev-python/gast/gast-0.5.2.ebuild b/dev-python/gast/gast-0.5.2.ebuild
new file mode 100644
index 000000000000..5a09da3acd7e
--- /dev/null
+++ b/dev-python/gast/gast-0.5.2.ebuild
@@ -0,0 +1,20 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="A generic AST to represent Python2 and Python3's Abstract Syntax Tree (AST)"
+HOMEPAGE="https://pypi.org/project/gast/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+BDEPEND="
+ test? ( dev-python/astunparse[${PYTHON_USEDEP}] )"
+
+distutils_enable_tests unittest
diff --git a/dev-python/httpx/httpx-0.18.2.ebuild b/dev-python/httpx/httpx-0.18.2.ebuild
index 269ad959cc9e..1ad7a1463577 100644
--- a/dev-python/httpx/httpx-0.18.2.ebuild
+++ b/dev-python/httpx/httpx-0.18.2.ebuild
@@ -17,7 +17,7 @@ SRC_URI="https://github.com/encode/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
-KEYWORDS="amd64 arm ~arm64 ~ppc ~ppc64 ~sparc x86"
+KEYWORDS="amd64 arm arm64 ~ppc ~ppc64 ~sparc x86"
RDEPEND="
dev-python/certifi[${PYTHON_USEDEP}]
diff --git a/dev-python/ipython/ipython-7.25.0.ebuild b/dev-python/ipython/ipython-7.25.0.ebuild
index f848ccb1836a..6f34643bf361 100644
--- a/dev-python/ipython/ipython-7.25.0.ebuild
+++ b/dev-python/ipython/ipython-7.25.0.ebuild
@@ -15,7 +15,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
-KEYWORDS="amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc x86"
+KEYWORDS="amd64 ~arm arm64 ~ppc ~ppc64 ~riscv ~sparc x86"
IUSE="doc examples matplotlib notebook nbconvert qt5 +smp test"
RESTRICT="!test? ( test )"
diff --git a/dev-python/isort/Manifest b/dev-python/isort/Manifest
index 1090ef2b7bc2..41471d9161b3 100644
--- a/dev-python/isort/Manifest
+++ b/dev-python/isort/Manifest
@@ -1,4 +1,2 @@
-DIST isort-5.8.0.tar.gz 167927 BLAKE2B 59b9ee4e63e231026e25833ef8bc4a782ad7b30622d1f6b61fe177fbf0f8663ca953f68cf168abb407d3cb90fe98e29540ec3a8933a5df2ca7ba3e938ba4282f SHA512 ffeee045b5328fa410673464b2ca22d9cd1ba8dd34eff9a430b93e9ce72033100e32e3373308438bcb82b8eb7deea1f2087091e111b1204e35791958ca6944c4
-DIST isort-5.9.1.gh.tar.gz 727733 BLAKE2B dc207ac24b586eb5c4c2bd546c0f2ab336c901563e3f2c92d917cf81bc94634c23a20dfe787e65c41fd3aec835d3fdc96721ed579c282b4cb0719afa7f50f9a3 SHA512 e48e08835a71271ab01e52e2c44ecef475aa270ab7242aff4f9ce82bcd5bc8354e2d8a717ccf995172102809198f6dfc9786d8c64e33afc9ae9a4e981ac51feb
DIST isort-5.9.2.gh.tar.gz 728644 BLAKE2B 37fa16884e987569bceabf71d5d51b5dcf3c26a28df22b07eb5adb8f571901f5f2d0b258c09dfe720a0579836e90ffa46b1d087c536532841ff48848dd71f9b0 SHA512 286536ae5e7328085618ba37d8809b6cd46595b269755c20da0e8f5f866b810663909ed557f16d76c3d5e89b85393264aad7b1d7093cbdb33e808118a3fc7d96
DIST isort-5.9.3.gh.tar.gz 729342 BLAKE2B f40f046c5706ea4fd6daf7dc8eaccaca35e7de3e77bc17fa73681d12c42f7d2a3b19a909384e6b2e2486679a9f9895c2fa944faace4bbc3d0cfd0ec7aff85edd SHA512 96aa9c8bb58c95a41f562d3f0e1cf6e9c0c4158486bca24dfe2293fc86c7c6b74e3e6a84ed755d965b692b1f06d98cdc8ed69080775f8acd9186ac3ae6401570
diff --git a/dev-python/isort/isort-5.8.0.ebuild b/dev-python/isort/isort-5.8.0.ebuild
deleted file mode 100644
index e1e9909e2a8f..000000000000
--- a/dev-python/isort/isort-5.8.0.ebuild
+++ /dev/null
@@ -1,51 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{6,7,8,9,10} )
-DISTUTILS_USE_SETUPTOOLS=rdepend
-
-inherit distutils-r1
-
-DESCRIPTION="A python utility/library to sort imports"
-HOMEPAGE="https://pypi.org/project/isort/"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 ~ia64 ppc ppc64 sparc x86 ~amd64-linux ~x86-linux ~x64-macos"
-
-BDEPEND="
- test? (
- dev-python/black[${PYTHON_USEDEP}]
- dev-python/colorama[${PYTHON_USEDEP}]
- dev-python/hypothesis[${PYTHON_USEDEP}]
- dev-python/pylama[${PYTHON_USEDEP}]
- dev-python/pytest-mock[${PYTHON_USEDEP}]
- dev-vcs/git
- )
-"
-
-distutils_enable_tests pytest
-
-python_test() {
- # Some tests run the "isort" command
- distutils_install_for_testing
-
- local skipped_tests=(
- # Fails without -s, run it separately to avoid unnecessary output
- tests/unit/test_importable.py
- # Excluded from upstream's test script
- tests/unit/test_deprecated_finders.py
- # Require "example_isort_formatting_plugin", we're not going
- # to add an example package just to run a few tests
- tests/unit/test_literal.py::test_value_assignment_list
- tests/unit/test_ticketed_features.py::test_isort_supports_formatting_plugins_issue_1353
- tests/unit/test_ticketed_features.py::test_isort_literals_issue_1358
- # Same here: requires "example_shared_isort_profile"
- tests/unit/test_ticketed_features.py::test_isort_supports_shared_profiles_issue_970
- )
- epytest -s tests/unit/test_importable.py
- epytest tests/unit ${skipped_tests[@]/#/--deselect }
-}
diff --git a/dev-python/isort/isort-5.9.1.ebuild b/dev-python/isort/isort-5.9.1.ebuild
deleted file mode 100644
index 8005a304f424..000000000000
--- a/dev-python/isort/isort-5.9.1.ebuild
+++ /dev/null
@@ -1,60 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-DISTUTILS_USE_SETUPTOOLS=pyproject.toml
-PYTHON_COMPAT=( python3_{6,7,8,9,10} )
-
-inherit distutils-r1
-
-DESCRIPTION="A python utility/library to sort imports"
-HOMEPAGE="https://pypi.org/project/isort/"
-SRC_URI="
- https://github.com/PyCQA/isort/archive/${PV}.tar.gz
- -> ${P}.gh.tar.gz"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
-
-RDEPEND="
- dev-python/toml[${PYTHON_USEDEP}]"
-BDEPEND="
- test? (
- dev-python/black[${PYTHON_USEDEP}]
- dev-python/colorama[${PYTHON_USEDEP}]
- dev-python/hypothesis[${PYTHON_USEDEP}]
- dev-python/natsort[${PYTHON_USEDEP}]
- dev-python/pylama[${PYTHON_USEDEP}]
- dev-python/pytest-mock[${PYTHON_USEDEP}]
- dev-vcs/git
- )
-"
-
-distutils_enable_tests pytest
-
-src_prepare() {
- # unbundle toml
- sed -i -e 's:from ._vendored ::' isort/settings.py || die
-
- distutils-r1_src_prepare
-}
-
-python_test() {
- # Some tests run the "isort" command
- distutils_install_for_testing
- # Install necessary plugins
- local p
- for p in example*/; do
- pushd "${p}" >/dev/null || die
- distutils_install_for_testing
- popd >/dev/null || die
- done
-
- local deselect=(
- # Excluded from upstream's test script
- tests/unit/test_deprecated_finders.py
- )
- epytest tests/unit ${deselect[@]/#/--deselect }
-}
diff --git a/dev-python/isort/isort-5.9.2.ebuild b/dev-python/isort/isort-5.9.2.ebuild
index a8d0e92b5422..f9f8bdf1137c 100644
--- a/dev-python/isort/isort-5.9.2.ebuild
+++ b/dev-python/isort/isort-5.9.2.ebuild
@@ -15,7 +15,7 @@ SRC_URI="
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~alpha amd64 arm ~arm64 ~ia64 ppc ppc64 ~riscv sparc x86"
+KEYWORDS="~alpha amd64 arm arm64 ~ia64 ppc ppc64 ~riscv sparc x86"
RDEPEND="
dev-python/toml[${PYTHON_USEDEP}]"
diff --git a/dev-python/jwcrypto/Manifest b/dev-python/jwcrypto/Manifest
index ab5aa48b939a..69c5796c2c9e 100644
--- a/dev-python/jwcrypto/Manifest
+++ b/dev-python/jwcrypto/Manifest
@@ -1 +1,2 @@
DIST jwcrypto-0.9.1.tar.gz 86363 BLAKE2B d5920b9471870855bc131c171dc5515cc23fb9b94c38b33ce4894bcbe6fb5d0fa87e8b88f6470b8d1c1a1bc158d0dd09f51ace50baab03c8a8df59adc6e7e11d SHA512 245221d5e570918c1db9abdad72a0b03fb3fbdbb4db46ece441cbd75d43246b1b35bfd75e20718b8fa125bcaa85088cd776a7c204dd68e51e63818ae438848eb
+DIST jwcrypto-1.0.0.tar.gz 87000 BLAKE2B 6e85d52c26447b07c3d06387ac9e3b7adf585d5dc320c633e80ca2bc1e327f01ac95cec9a0fe2b92f7f8ed7f5650d5ad1a95de500d328b33763d604aaba1bd62 SHA512 12d270219d289041098f875f5b2b0773ffbf9044996a6189b827cafbf3e5dccfc103915275b1a11dce2d50e3510510eea476b024d19cf97fd7c66c25de5b3dbf
diff --git a/dev-python/jwcrypto/jwcrypto-1.0.0.ebuild b/dev-python/jwcrypto/jwcrypto-1.0.0.ebuild
new file mode 100644
index 000000000000..38308b6fd486
--- /dev/null
+++ b/dev-python/jwcrypto/jwcrypto-1.0.0.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+inherit distutils-r1
+
+DESCRIPTION="Implements JWK,JWS,JWE specifications using python-cryptography"
+
+HOMEPAGE="https://github.com/latchset/jwcrypto"
+SRC_URI="
+ https://github.com/latchset/jwcrypto/archive/v${PV}.tar.gz
+ -> ${P}.tar.gz"
+
+LICENSE="LGPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+ >=dev-python/cryptography-2.3[${PYTHON_USEDEP}]
+ dev-python/deprecated[${PYTHON_USEDEP}]"
+
+distutils_enable_sphinx docs/source
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # Do not install doc in non-standard paths
+ sed -i "\|data_files = \[('share/doc/jwcrypto|d" setup.py || die
+ distutils-r1_python_prepare_all
+}
diff --git a/dev-python/lit/Manifest b/dev-python/lit/Manifest
index 104b03477e7a..b6a66e33b837 100644
--- a/dev-python/lit/Manifest
+++ b/dev-python/lit/Manifest
@@ -2,3 +2,4 @@ DIST llvmorg-10.0.1.tar.gz 120880730 BLAKE2B 30f19f56c4d1f6abcda5fec76256219d1e3
DIST llvmorg-11.1.0.tar.gz 122776532 BLAKE2B ca842ff4afff8f44c82b5e7383962a9c45ca1c93b64fa4c6ebcd70a1d3849dbad2b8e4e24fba02d144c6266d7fab3607ebc6999b28c229cb35256cf40f26a985 SHA512 9a8ce022a935eed42fa71a224f2a207122aadcbef58ee855fdb4825f879e7d028e4dcff22c19b9d336db1c8bf63fb84372d44981acf84615f757e54306c92b81
DIST llvmorg-12.0.0.tar.gz 134226215 BLAKE2B f9c3ba8c58571855caa4f206fd285c9b5be66672fb0814cb8bc0964a051f57f5d35013aa1e27cbda502652b37df1ec23474129109e76a42066847860db441dbe SHA512 0cff02155c5ac0d6db2b72d60d9819d5b5dd859663b45f721b1c7540239c2fceb1f57d9173f6870c49de851c242ed8e85c5c6d6577a1f8092a7c5dcd12513b26
DIST llvmorg-12.0.1.tar.gz 134259748 BLAKE2B f41de787bc73ff2edfda1b22cc8602be6f65f37dd9e4c8888533cfa8c3ccdcf4f108aaab9de23ab0ab987966eb160f2a553a0bdff99461e71ddd5bfcd086090d SHA512 6eb0dc18e2c25935fabfdfc48b0114be0939158dfdef7b85b395fe2e71042672446af0e68750aae003c9847d10d1f63316fe95d3df738d18f249174292b1b9e1
+DIST llvmorg-13.0.0-rc1.tar.gz 147235597 BLAKE2B 089fed119dee8a16f278cebb13808bd5a95629cc87ebee3050225cc041b78fee51acacc5bcc913d4a99e830bfe5774b19a04a845293c5087dd2a8c9d94d2fde9 SHA512 6e307e2c2dcb7ff41d11ee29d69f41c0ef55f200999847a3a924a2e773fc9c2160015746789af8b723c628bd232f97fce63370209bd0065491d80b0cc0017e85
diff --git a/dev-python/lit/lit-13.0.0_rc1.ebuild b/dev-python/lit/lit-13.0.0_rc1.ebuild
new file mode 100644
index 000000000000..f538abb22ff5
--- /dev/null
+++ b/dev-python/lit/lit-13.0.0_rc1.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+
+inherit distutils-r1 llvm.org
+
+DESCRIPTION="A stand-alone install of the LLVM suite testing tool"
+HOMEPAGE="https://llvm.org/"
+
+LICENSE="Apache-2.0-with-LLVM-exceptions UoI-NCSA"
+SLOT="0"
+KEYWORDS=""
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+# Tests require 'FileCheck' and 'not' utilities (from llvm)
+BDEPEND="
+ test? (
+ dev-python/psutil[${PYTHON_USEDEP}]
+ sys-devel/llvm )"
+
+LLVM_COMPONENTS=( llvm/utils/lit )
+llvm.org_set_globals
+
+# TODO: move the manpage generation here (from sys-devel/llvm)
+
+src_prepare() {
+ cd "${WORKDIR}" || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local -x LIT_PRESERVES_TMP=1
+ local litflags=$(get_lit_flags)
+ ./lit.py ${litflags//;/ } tests || die
+}
diff --git a/dev-python/natsort/natsort-7.1.1.ebuild b/dev-python/natsort/natsort-7.1.1.ebuild
index 167c059eddb8..e6db58dccdf9 100644
--- a/dev-python/natsort/natsort-7.1.1.ebuild
+++ b/dev-python/natsort/natsort-7.1.1.ebuild
@@ -13,7 +13,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~alpha amd64 arm ~arm64 ~ia64 ppc ppc64 ~riscv sparc x86"
+KEYWORDS="~alpha amd64 arm arm64 ~ia64 ppc ppc64 ~riscv sparc x86"
BDEPEND="
test? (
diff --git a/dev-python/numpy/numpy-1.21.1.ebuild b/dev-python/numpy/numpy-1.21.1.ebuild
index 5db7f98edfaf..0d0b50aa7d4a 100644
--- a/dev-python/numpy/numpy-1.21.1.ebuild
+++ b/dev-python/numpy/numpy-1.21.1.ebuild
@@ -22,7 +22,7 @@ SRC_URI="
)"
LICENSE="BSD"
SLOT="0"
-KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ppc ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
+KEYWORDS="~alpha amd64 ~arm ~arm64 hppa ~ia64 ~mips ppc ppc64 ~riscv ~s390 sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
IUSE="doc lapack"
RDEPEND="
diff --git a/dev-python/patsy/patsy-0.5.1.ebuild b/dev-python/patsy/patsy-0.5.1.ebuild
index e3b43bf2c384..eb9750f5b09e 100644
--- a/dev-python/patsy/patsy-0.5.1.ebuild
+++ b/dev-python/patsy/patsy-0.5.1.ebuild
@@ -12,7 +12,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
-KEYWORDS="amd64 ~arm ~arm64 x86 ~amd64-linux ~x86-linux"
+KEYWORDS="amd64 ~arm ~arm64 ~sparc x86 ~amd64-linux ~x86-linux"
RDEPEND="
dev-python/numpy[${PYTHON_USEDEP}]
diff --git a/dev-python/pipenv/files/pipenv-2021-5-29-r1-remove-attr-vendor-import.patch b/dev-python/pipenv/files/pipenv-2021-5-29-r1-remove-attr-vendor-import.patch
new file mode 100644
index 000000000000..3437c2a2f33f
--- /dev/null
+++ b/dev-python/pipenv/files/pipenv-2021-5-29-r1-remove-attr-vendor-import.patch
@@ -0,0 +1,95 @@
+diff --git a/pipenv/installers.py b/pipenv/installers.py
+index 1e81047d..ccfd639c 100644
+--- a/pipenv/installers.py
++++ b/pipenv/installers.py
+@@ -6,8 +6,11 @@ from abc import ABCMeta, abstractmethod
+
+
+ from .environments import PIPENV_INSTALL_TIMEOUT
+-from .vendor import attr, delegator
+ from .utils import find_windows_executable
++# future version of pipenv drops this
++# hence, this stays here for a while
++from .vendor import delegator
++import attr
+
+
+ @attr.s
+diff --git a/pipenv/vendor/passa/models/projects.py b/pipenv/vendor/passa/models/projects.py
+index c7807c05..f6e037d6 100644
+--- a/pipenv/vendor/passa/models/projects.py
++++ b/pipenv/vendor/passa/models/projects.py
+@@ -6,7 +6,7 @@ import collections
+ import io
+ import os
+
+-from pipenv.vendor import attr
++import attr
+ import packaging.markers
+ import packaging.utils
+ import plette
+diff --git a/pipenv/vendor/pythonfinder/models/mixins.py b/pipenv/vendor/pythonfinder/models/mixins.py
+index aeba0443..76327115 100644
+--- a/pipenv/vendor/pythonfinder/models/mixins.py
++++ b/pipenv/vendor/pythonfinder/models/mixins.py
+@@ -5,7 +5,7 @@ import abc
+ import operator
+ from collections import defaultdict
+
+-from pipenv.vendor import attr
++import attr
+ import six
+
+ from ..compat import fs_str
+diff --git a/pipenv/vendor/pythonfinder/models/path.py b/pipenv/vendor/pythonfinder/models/path.py
+index e8c13429..7a197181 100644
+--- a/pipenv/vendor/pythonfinder/models/path.py
++++ b/pipenv/vendor/pythonfinder/models/path.py
+@@ -7,7 +7,7 @@ import sys
+ from collections import defaultdict
+ from itertools import chain
+
+-from pipenv.vendor import attr
++import attr
+ import six
+ from cached_property import cached_property
+ from ..compat import Path, fs_str
+diff --git a/pipenv/vendor/pythonfinder/models/python.py b/pipenv/vendor/pythonfinder/models/python.py
+index 4f7e5563..d001a1e5 100644
+--- a/pipenv/vendor/pythonfinder/models/python.py
++++ b/pipenv/vendor/pythonfinder/models/python.py
+@@ -7,7 +7,7 @@ import platform
+ import sys
+ from collections import defaultdict
+
+-from pipenv.vendor import attr
++import attr
+ import six
+ from packaging.version import Version
+
+diff --git a/pipenv/vendor/pythonfinder/models/windows.py b/pipenv/vendor/pythonfinder/models/windows.py
+index c69b9484..fb36a272 100644
+--- a/pipenv/vendor/pythonfinder/models/windows.py
++++ b/pipenv/vendor/pythonfinder/models/windows.py
+@@ -4,7 +4,7 @@ from __future__ import absolute_import, print_function
+ import operator
+ from collections import defaultdict
+
+-from pipenv.vendor import attr
++import attr
+
+ from ..environment import MYPY_RUNNING
+ from ..exceptions import InvalidPythonVersion
+diff --git a/pipenv/vendor/pythonfinder/utils.py b/pipenv/vendor/pythonfinder/utils.py
+index bcea7f3e..41d2d59a 100644
+--- a/pipenv/vendor/pythonfinder/utils.py
++++ b/pipenv/vendor/pythonfinder/utils.py
+@@ -10,7 +10,7 @@ from collections import OrderedDict
+ from fnmatch import fnmatch
+ from threading import Timer
+
+-from pipenv.vendor import attr
++import attr
+ import six
+ from packaging.version import LegacyVersion, Version
+
diff --git a/dev-python/pipenv/pipenv-2021.5.29-r1.ebuild b/dev-python/pipenv/pipenv-2021.5.29-r1.ebuild
new file mode 100644
index 000000000000..90879c57aa1e
--- /dev/null
+++ b/dev-python/pipenv/pipenv-2021.5.29-r1.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+
+inherit distutils-r1
+
+MY_PV=${PV/_beta/b}
+DESCRIPTION="Python Development Workflow for Humans"
+HOMEPAGE="https://github.com/pypa/pipenv https://pypi.org/project/pipenv/"
+SRC_URI="https://github.com/pypa/pipenv/archive/v${MY_PV}.tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}"/${PN}-${MY_PV}
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+PATCHES="${FILESDIR}/${PN}-${PV//./-}-${PR}-remove-attr-vendor-import.patch"
+
+RDEPEND="
+ ${PYTHON_DEPS}
+ dev-python/certifi[${PYTHON_USEDEP}]
+ dev-python/pip[${PYTHON_USEDEP}]
+ >=dev-python/virtualenv-20.0.35[${PYTHON_USEDEP}]
+ dev-python/virtualenv-clone[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ ${RDEPEND}
+ test? (
+ dev-python/flaky[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pytest[${PYTHON_USEDEP}]
+ dev-python/pytz[${PYTHON_USEDEP}]
+ )
+"
+
+src_prepare() {
+ # remove vendored version of PyYAML that is backported to Python2
+ rm -vR "${S}/${PN}/patched/yaml2/" || die
+ # remove vendored versions
+ # see https://bugs.gentoo.org/717666
+ rm -vR "${S}/${PN}/vendor/attr/" || die
+ rm -vR "${S}/${PN}/vendor/jinja2/" || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ pytest -vvv -x -m "not cli and not needs_internet" tests/unit/ || die
+}
diff --git a/dev-python/priority/priority-2.0.0.ebuild b/dev-python/priority/priority-2.0.0.ebuild
index a132fe9661f3..6836120234f6 100644
--- a/dev-python/priority/priority-2.0.0.ebuild
+++ b/dev-python/priority/priority-2.0.0.ebuild
@@ -15,7 +15,7 @@ SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~alpha amd64 arm ~arm64 ~hppa ~ia64 ~mips ppc ppc64 ~riscv ~s390 sparc ~x86"
+KEYWORDS="~alpha amd64 arm ~arm64 hppa ~ia64 ~mips ppc ppc64 ~riscv ~s390 sparc ~x86"
BDEPEND="
test? ( >=dev-python/hypothesis-3.4.2[${PYTHON_USEDEP}] )
diff --git a/dev-python/psycopg/Manifest b/dev-python/psycopg/Manifest
index 096a6b56a319..b0945f2b68a3 100644
--- a/dev-python/psycopg/Manifest
+++ b/dev-python/psycopg/Manifest
@@ -1,3 +1 @@
-DIST psycopg2-2.8.6.tar.gz 383797 BLAKE2B da0e3f1e143c51c940ba1f51d3e457b492d880ab71267dacd4747444bc767711ccd6c2f54d9e10ce5ad8fae0c3206fb4b6199f267e9bbaf12eb654227f59c2b0 SHA512 1e1d5d8755c6d1a153d84210bf29902afafe853659d709e13abc6bc5772def13779d2394690af1c544384c9c607edc0fe5cf2763244fb346febf9a9e0032b45f
DIST psycopg2-2.9.1.tar.gz 379972 BLAKE2B 89a05f0f3e2f426848641bdf07bee1846a5512dd248d7e4eb4723dbc4f7775b00d142217a5cc59e126eeae8e672173b63de3b1152e3bf14dfaccf5fe7149c88d SHA512 478eaeaad98e4521424a0a48d5f0fdba934bb3b682ba111cc37b833cd3c953ad5fbe2a2071d3a9b95c6a447e95de88887ceda5143b63a08703c388f96dd9b4ad
-DIST psycopg2-2.9.tar.gz 379805 BLAKE2B 4e34b9dc28d0922ae9e9f75dd734b961915a032eba0c4b5ea9c4fe82bff4d5d230b37b0efdb25b8423177fdd7e98e69d0ed6ae0eccd731dca212845966b9c0ac SHA512 9787d0d3bb163815a452139bc3fbde93c767431b3e31c77dd534b6a476d1c09a51e2503b0420ac7a3753ef7fa64c13e2643f4bf4aeaeb60f15ea4eefc3538bfa
diff --git a/dev-python/psycopg/psycopg-2.8.6-r1.ebuild b/dev-python/psycopg/psycopg-2.8.6-r1.ebuild
deleted file mode 100644
index 2b43059e1d62..000000000000
--- a/dev-python/psycopg/psycopg-2.8.6-r1.ebuild
+++ /dev/null
@@ -1,55 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{6,7,8,9,10} )
-
-inherit distutils-r1 flag-o-matic
-
-MY_PN="${PN}2"
-MY_P="${MY_PN}-${PV}"
-
-DESCRIPTION="PostgreSQL database adapter for Python"
-HOMEPAGE="https://www.psycopg.org https://pypi.org/project/psycopg2/"
-SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_P}.tar.gz"
-S=${WORKDIR}/${MY_P}
-
-LICENSE="LGPL-3+"
-SLOT="2"
-KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ppc ppc64 ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-solaris"
-IUSE="debug test"
-RESTRICT="!test? ( test )"
-
-RDEPEND=">=dev-db/postgresql-8.1:*"
-DEPEND="${RDEPEND}"
-BDEPEND="
- test? ( >=dev-db/postgresql-8.1[server] )"
-
-python_prepare_all() {
- if use debug; then
- sed -i 's/^\(define=\)/\1PSYCOPG_DEBUG,/' setup.cfg || die
- fi
-
- distutils-r1_python_prepare_all
-}
-
-src_test() {
- initdb -D "${T}"/pgsql || die
- # TODO: random port
- pg_ctl -w -D "${T}"/pgsql start \
- -o "-h '' -k '${T}'" || die
- createdb -h "${T}" psycopg2_test || die
-
- local -x PSYCOPG2_TESTDB_HOST="${T}"
- distutils-r1_src_test
-
- pg_ctl -w -D "${T}"/pgsql stop || die
-}
-
-python_test() {
- "${EPYTHON}" -c "
-import tests
-tests.unittest.main(defaultTest='tests.test_suite')
-" --verbose || die "Tests fail with ${EPYTHON}"
-}
diff --git a/dev-python/psycopg/psycopg-2.9.1.ebuild b/dev-python/psycopg/psycopg-2.9.1.ebuild
index ff03338a3a8a..2b43059e1d62 100644
--- a/dev-python/psycopg/psycopg-2.9.1.ebuild
+++ b/dev-python/psycopg/psycopg-2.9.1.ebuild
@@ -17,7 +17,7 @@ S=${WORKDIR}/${MY_P}
LICENSE="LGPL-3+"
SLOT="2"
-KEYWORDS="~alpha amd64 arm ~arm64 ~hppa ~ia64 ppc ppc64 ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-solaris"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ppc ppc64 ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-solaris"
IUSE="debug test"
RESTRICT="!test? ( test )"
diff --git a/dev-python/psycopg/psycopg-2.9.ebuild b/dev-python/psycopg/psycopg-2.9.ebuild
deleted file mode 100644
index eaee9a0b5180..000000000000
--- a/dev-python/psycopg/psycopg-2.9.ebuild
+++ /dev/null
@@ -1,55 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{6,7,8,9,10} )
-
-inherit distutils-r1 flag-o-matic
-
-MY_PN="${PN}2"
-MY_P="${MY_PN}-${PV}"
-
-DESCRIPTION="PostgreSQL database adapter for Python"
-HOMEPAGE="https://www.psycopg.org https://pypi.org/project/psycopg2/"
-SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_P}.tar.gz"
-S=${WORKDIR}/${MY_P}
-
-LICENSE="LGPL-3+"
-SLOT="2"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-solaris"
-IUSE="debug test"
-RESTRICT="!test? ( test )"
-
-RDEPEND=">=dev-db/postgresql-8.1:*"
-DEPEND="${RDEPEND}"
-BDEPEND="
- test? ( >=dev-db/postgresql-8.1[server] )"
-
-python_prepare_all() {
- if use debug; then
- sed -i 's/^\(define=\)/\1PSYCOPG_DEBUG,/' setup.cfg || die
- fi
-
- distutils-r1_python_prepare_all
-}
-
-src_test() {
- initdb -D "${T}"/pgsql || die
- # TODO: random port
- pg_ctl -w -D "${T}"/pgsql start \
- -o "-h '' -k '${T}'" || die
- createdb -h "${T}" psycopg2_test || die
-
- local -x PSYCOPG2_TESTDB_HOST="${T}"
- distutils-r1_src_test
-
- pg_ctl -w -D "${T}"/pgsql stop || die
-}
-
-python_test() {
- "${EPYTHON}" -c "
-import tests
-tests.unittest.main(defaultTest='tests.test_suite')
-" --verbose || die "Tests fail with ${EPYTHON}"
-}
diff --git a/dev-python/pyenchant/pyenchant-3.2.1.ebuild b/dev-python/pyenchant/pyenchant-3.2.1.ebuild
index 708bc46fccdc..426fcfb43d21 100644
--- a/dev-python/pyenchant/pyenchant-3.2.1.ebuild
+++ b/dev-python/pyenchant/pyenchant-3.2.1.ebuild
@@ -16,7 +16,7 @@ SRC_URI="
LICENSE="LGPL-2.1"
SLOT="0"
-KEYWORDS="~alpha ~amd64 arm ~arm64 ~hppa ~ia64 ppc ppc64 ~riscv sparc ~x86"
+KEYWORDS="~alpha amd64 arm ~arm64 ~hppa ~ia64 ppc ppc64 ~riscv sparc ~x86"
RDEPEND="app-text/enchant:*"
BDEPEND="
diff --git a/dev-python/pyproject2setuppy/Manifest b/dev-python/pyproject2setuppy/Manifest
index 9ff671a0e8d1..c647e4a8916a 100644
--- a/dev-python/pyproject2setuppy/Manifest
+++ b/dev-python/pyproject2setuppy/Manifest
@@ -1,2 +1,3 @@
DIST pyproject2setuppy-17.tar.gz 12191 BLAKE2B 5be19c9e70abf37d776649237581b1cb281331585c6ffa312f63e50bd2fd8104972861b38958272d5eced086b2a60ed370437807d1eeb382e4ad0cde5f03b0db SHA512 0291f9ad1c3059a4ccd366d8f1078ffd57de89cc128e996126f62a92ac4dded9c7da25be1325ca9f660062ba3a65fd01d62d4ffb22084cec7f4aba79e552ae2f
DIST pyproject2setuppy-18.tar.gz 12566 BLAKE2B 424aac4c89f498cca61b18bc1e8da3dd72324014d04b2a1e0b7d9aad48b445ddf95117902f6f2d80f9c0e1f3ac808d22dc62b31a2bc41f59820765e49de56a48 SHA512 f29f262ea59cccb698e82de630c8de40fae5a758e71b741c5c5e26639813bc45de13d1479b92a92aaee24edc71ea6f66b0484bba765c4d66eb10e0487bdef080
+DIST pyproject2setuppy-19.tar.gz 12531 BLAKE2B c5364f9f31a9cd23252664e69d252ebff579e965585db338587557d7bbf78ff346e6dc9d6cd20abee332ef7675f3246f175c4a1694bfefc434ffe1563c1158e4 SHA512 1f18f39779e4078d9e3fabebfa8cb279cab80b97ce9aa4dfe5a84019b16bf6bb973dfeb0feb360f36fd93f8106d847602e21589859ca3d7837a78ce1572ea6ea
diff --git a/dev-python/pyproject2setuppy/pyproject2setuppy-19.ebuild b/dev-python/pyproject2setuppy/pyproject2setuppy-19.ebuild
new file mode 100644
index 000000000000..3b915ad163d7
--- /dev/null
+++ b/dev-python/pyproject2setuppy/pyproject2setuppy-19.ebuild
@@ -0,0 +1,29 @@
+# Copyright 2019-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_SETUPTOOLS=manual
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+inherit distutils-r1
+
+DESCRIPTION="Cheap setup.py hack to install flit & poetry-based projects"
+HOMEPAGE="https://github.com/mgorny/pyproject2setuppy"
+SRC_URI="
+ https://github.com/mgorny/pyproject2setuppy/archive/v${PV}.tar.gz
+ -> ${P}.tar.gz"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+
+RDEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ dev-python/tomli[${PYTHON_USEDEP}]"
+BDEPEND="${RDEPEND}
+ test? (
+ dev-python/pytest-forked[${PYTHON_USEDEP}]
+ dev-python/wheel[${PYTHON_USEDEP}]
+ )"
+
+distutils_enable_tests pytest
diff --git a/dev-python/pytables/pytables-3.6.1.ebuild b/dev-python/pytables/pytables-3.6.1.ebuild
index df1c4e363d65..c1a3ac75c398 100644
--- a/dev-python/pytables/pytables-3.6.1.ebuild
+++ b/dev-python/pytables/pytables-3.6.1.ebuild
@@ -17,7 +17,7 @@ SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_P}.tar.gz"
S="${WORKDIR}/${MY_P}"
SLOT="0"
-KEYWORDS="amd64 ~arm ~arm64 x86 ~amd64-linux ~x86-linux"
+KEYWORDS="amd64 ~arm ~arm64 ~sparc x86 ~amd64-linux ~x86-linux"
LICENSE="BSD"
IUSE="doc examples test"
RESTRICT="!test? ( test )"
diff --git a/dev-python/reno/Manifest b/dev-python/reno/Manifest
index dfeee76f99d7..5619cdb5d784 100644
--- a/dev-python/reno/Manifest
+++ b/dev-python/reno/Manifest
@@ -1 +1,2 @@
DIST reno-3.3.0.tar.gz 81168 BLAKE2B 46afacfa437c9d5fed49d454edaf92b96ffbd677de02d91c7fd431b5ae98764918e099dd486345907446a19b2c94a1c36ac5cff9cf6d911438b48d41d9585ba1 SHA512 0fb6ff09e71b829cabe452693aac0c3a14d44f75f93e8934ebd0b0861e7dcd749a92b7bf19bc4f46202ecb02840edd6d5e5787c8b8a5b64a6b91fb52fe18287d
+DIST reno-3.4.0.tar.gz 82815 BLAKE2B aab374c48c1dcf25ba7a78d46069c5d659762bf01d25dc05f597f02098ee10e7b8c518a0afad186ecd93602782a7c50294183b7e33075f8bfe57cc0bc3c1d016 SHA512 cbfd5d9b41beb1599438e249b8082175c8bd2b8dca62d8e6fd1ef742bf889adf6490e1ed0fa78d8aca663a0fb6bbe70742815a6512c6d51fb8073745b6860d65
diff --git a/dev-python/reno/reno-3.4.0.ebuild b/dev-python/reno/reno-3.4.0.ebuild
new file mode 100644
index 000000000000..510bae923cd3
--- /dev/null
+++ b/dev-python/reno/reno-3.4.0.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="Release notes manager, storing release notes in a git repo and building docs"
+HOMEPAGE="https://pypi.org/project/reno/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~ppc64 ~x86"
+
+RDEPEND="
+ dev-python/pbr[${PYTHON_USEDEP}]
+ >=dev-python/pyyaml-5.3.1[${PYTHON_USEDEP}]
+ >=dev-python/dulwich-0.15.0[${PYTHON_USEDEP}]
+ >=dev-python/packaging-20.4[${PYTHON_USEDEP}]
+ >=dev-python/docutils-0.11[${PYTHON_USEDEP}]
+ >=dev-python/sphinx-2.1.1[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/pbr[${PYTHON_USEDEP}]
+ test? (
+ >=dev-python/testtools-1.4.0[${PYTHON_USEDEP}]
+ )
+"
+
+# The doc needs to be built from a git repository
+distutils_enable_tests unittest
+
+python_prepare_all() {
+ # Some tests need to be run from a git repository
+ rm reno/tests/test_{cache,semver}.py || die
+ distutils-r1_python_prepare_all
+}
diff --git a/dev-python/rq/Manifest b/dev-python/rq/Manifest
index 3f2c9ad75777..8db098b7654f 100644
--- a/dev-python/rq/Manifest
+++ b/dev-python/rq/Manifest
@@ -1,2 +1 @@
-DIST rq-1.8.1.tar.gz 585211 BLAKE2B 17feb07cb376c5aef88a7aab6d716f58a19f62f19db6c6b0490b4f666981e40304c6a23c88669a0aef9b75a39ce8cb85a9b10a2d42e83e646cdcb6282167d8f9 SHA512 b9df7b4e894a5da693827ff720be3068336d82d2f17928faf5ae6133b042ac2f98a3d673bb2ed86c9351479669e9ef0e4fffcb1dba9b8853f6f793db4a4678f8
DIST rq-1.9.0.tar.gz 592217 BLAKE2B 831fbc7a3fe23ead59041e2556d37e4aa885a21bffa9aeeb0765382e84b56a2ee6d34a864cb03a9a12274c8ac80b714f10a7752d0bae7a79b8e2e7149be4aea7 SHA512 a2ec7b05fe1dda983cfb30182401c6e5367c54b7649ddcb1d3c6d0f0a5f6583665b39ed7c1cb6bc37d067926f089e3fd80ea7558856233edc1bca8234aa728aa
diff --git a/dev-python/rq/rq-1.8.1.ebuild b/dev-python/rq/rq-1.8.1.ebuild
deleted file mode 100644
index ce42cb0c2eb5..000000000000
--- a/dev-python/rq/rq-1.8.1.ebuild
+++ /dev/null
@@ -1,53 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{6,7,8,9,10} )
-inherit distutils-r1
-
-DESCRIPTION="simple, lightweight library for creating and processing background jobs"
-HOMEPAGE="https://python-rq.org https://github.com/rq/rq"
-SRC_URI="https://github.com/rq/rq/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="amd64 arm arm64 ~ppc ~ppc64 ~sparc x86"
-
-RDEPEND="
- >=dev-python/click-5.0[${PYTHON_USEDEP}]
- >=dev-python/redis-py-3.5.0[${PYTHON_USEDEP}]
-"
-BDEPEND="
- test? (
- dev-db/redis
- dev-python/mock[${PYTHON_USEDEP}]
- dev-python/psutil[${PYTHON_USEDEP}]
- dev-python/sentry-sdk[${PYTHON_USEDEP}]
- )
-"
-
-distutils_enable_tests --install pytest
-
-src_test() {
- local redis_pid="${T}"/redis.pid
- local redis_port=6379
- local redis_test_config="daemonize yes
- pidfile ${redis_pid}
- port ${redis_port}
- bind 127.0.0.1
- "
-
- # Spawn Redis itself for testing purposes
- # NOTE: On sam@'s machine, spawning Redis can hang in the sandbox.
- # I'm not restricting tests yet because this doesn't happen for anyone else AFAICT.
- elog "Spawning Redis"
- elog "NOTE: Port ${redis_port} must be free"
- /usr/sbin/redis-server - <<< "${redis_test_config}" || die
-
- # Run the actual tests
- distutils-r1_src_test
-
- # Clean up afterwards
- kill "$(<"${redis_pid}")" || die
-}
diff --git a/dev-python/rq/rq-1.9.0.ebuild b/dev-python/rq/rq-1.9.0.ebuild
index f884741ddb12..ce42cb0c2eb5 100644
--- a/dev-python/rq/rq-1.9.0.ebuild
+++ b/dev-python/rq/rq-1.9.0.ebuild
@@ -12,7 +12,7 @@ SRC_URI="https://github.com/rq/rq/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~sparc ~x86"
+KEYWORDS="amd64 arm arm64 ~ppc ~ppc64 ~sparc x86"
RDEPEND="
>=dev-python/click-5.0[${PYTHON_USEDEP}]
diff --git a/dev-python/scipy/scipy-1.6.3.ebuild b/dev-python/scipy/scipy-1.6.3.ebuild
index 6ea543f6124c..365631d26d3b 100644
--- a/dev-python/scipy/scipy-1.6.3.ebuild
+++ b/dev-python/scipy/scipy-1.6.3.ebuild
@@ -21,7 +21,7 @@ SRC_URI="
LICENSE="BSD LGPL-2"
SLOT="0"
-KEYWORDS="amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86 ~amd64-linux ~x86-linux ~ppc-macos"
+KEYWORDS="amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos"
IUSE="doc sparse"
DEPEND="
diff --git a/dev-python/sip/sip-4.19.25-r1.ebuild b/dev-python/sip/sip-4.19.25-r1.ebuild
index 85865219e3d2..5fa9eee4752c 100644
--- a/dev-python/sip/sip-4.19.25-r1.ebuild
+++ b/dev-python/sip/sip-4.19.25-r1.ebuild
@@ -20,7 +20,7 @@ S=${WORKDIR}/${MY_P}
# Sub-slot based on SIP_API_MAJOR_NR from siplib/sip.h
SLOT="0/12"
LICENSE="|| ( GPL-2 GPL-3 SIP )"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ppc ppc64 ~sparc x86"
IUSE="doc"
REQUIRED_USE="${PYTHON_REQUIRED_USE}"
diff --git a/dev-python/sphinx/Manifest b/dev-python/sphinx/Manifest
index cbdd4e53545e..2ffcbc73a142 100644
--- a/dev-python/sphinx/Manifest
+++ b/dev-python/sphinx/Manifest
@@ -2,3 +2,4 @@ DIST Sphinx-3.5.4.tar.gz 5911093 BLAKE2B 8740714dfaf3733bf57d0b277315b4e7b5cad86
DIST Sphinx-4.0.3.tar.gz 6164298 BLAKE2B 60726ed4cc4f92910bcfff20dde09beef89e4c171b6f12a327e981df8fa6569a901c0b8e994cd66263b87056548f9f966a2e3049341447ad28797bf120a42a70 SHA512 8dd561b220779efb4cf779f46b342a298f18bfeb7670e0485ba8fcae7a03b2bd30368b441237ed597e1d8f001e35bae13a7d4d44d6921a4fa1b8a7804a5850c7
DIST Sphinx-4.1.0.tar.gz 6302885 BLAKE2B 7e2eafa236173c0fe7d761d1692ff8bb0c12ad8fae2894e2088fff0415d085a3ea652c59d4efc94788829c4261cbee161d85a5c35d6a282fb1a201f658425bb7 SHA512 482378b85b51e74bc2c841bc5ac7b7d5a0034b28e62d36182972439a1e48ce5faaa82e6c3daa35ff6a3f1b1ed1c4187564c77806e6d1804dae0f2c24262adbe6
DIST Sphinx-4.1.1.tar.gz 6373009 BLAKE2B dd19089149d626a0a65af4ff1cd8acf5a5ea8d00b6c940d2d7c5e1c459ae37d993d82652114b9144a80971275a6e346942dce9a6a3798220dc77e0f88d8fc2e1 SHA512 6250fa568f9952471f3cb433a1e7a053c779540c0c049d0e0bad4f2b754935f8c9f351a297349bc15f1dcb4b152a550771f2f381b2eee92a68759e034fce23c4
+DIST Sphinx-4.1.2.tar.gz 6373677 BLAKE2B a78df4302520898c8708a75129baf28dd2dcde2dcbb4147d8246a2dd7907ae2af2ed8cf1d259ff1065dbe987fd918a7153831a9f5c16e79834c41f86b6031e41 SHA512 1fe998de7b8fc47989e186835748b7fb5d0b523db95434515b6af29b56d28372f2f92ab917c27cbed51aa0cad13175eda8bf4fc93a8726eb5e93e9bc6995e457
diff --git a/dev-python/sphinx/files/sphinx-4.1.2-py310.patch b/dev-python/sphinx/files/sphinx-4.1.2-py310.patch
new file mode 100644
index 000000000000..8c03d1f66721
--- /dev/null
+++ b/dev-python/sphinx/files/sphinx-4.1.2-py310.patch
@@ -0,0 +1,63 @@
+From 1fd5f746539d3e02886032fae8d53af0c2f6ecdd Mon Sep 17 00:00:00 2001
+From: Takeshi KOMIYA <i.tkomiya@gmail.com>
+Date: Fri, 30 Jul 2021 01:27:38 +0900
+Subject: [PATCH] Fix #9512: sphinx-build: crashed with the HEAD of Python 3.10
+
+Recently, `types.Union` was renamed to `types.UnionType` on the HEAD
+of 3.10 (refs: python/cpython#27342). After this change, sphinx-build
+has been crashed because of ImportError.
+---
+ CHANGES | 2 ++
+ sphinx/util/typing.py | 12 ++++++------
+ 2 files changed, 8 insertions(+), 6 deletions(-)
+
+diff --git a/CHANGES b/CHANGES
+index a643bfe841..70eb8db93a 100644
+--- a/CHANGES
++++ b/CHANGES
+@@ -16,6 +16,8 @@ Features added
+ Bugs fixed
+ ----------
+
++* #9512: sphinx-build: crashed with the HEAD of Python 3.10
++
+ Testing
+ --------
+
+diff --git a/sphinx/util/typing.py b/sphinx/util/typing.py
+index f1723c035a..012d32e524 100644
+--- a/sphinx/util/typing.py
++++ b/sphinx/util/typing.py
+@@ -33,10 +33,10 @@ def _evaluate(self, globalns: Dict, localns: Dict) -> Any:
+ ref = _ForwardRef(self.arg)
+ return ref._eval_type(globalns, localns)
+
+-if sys.version_info > (3, 10):
+- from types import Union as types_Union
+-else:
+- types_Union = None
++try:
++ from types import UnionType # type: ignore # python 3.10 or above
++except ImportError:
++ UnionType = None
+
+ if False:
+ # For type annotation
+@@ -114,7 +114,7 @@ def restify(cls: Optional[Type]) -> str:
+ return ':class:`%s`' % INVALID_BUILTIN_CLASSES[cls]
+ elif inspect.isNewType(cls):
+ return ':class:`%s`' % cls.__name__
+- elif types_Union and isinstance(cls, types_Union):
++ elif UnionType and isinstance(cls, UnionType):
+ if len(cls.__args__) > 1 and None in cls.__args__:
+ args = ' | '.join(restify(a) for a in cls.__args__ if a)
+ return 'Optional[%s]' % args
+@@ -337,7 +337,7 @@ def _stringify_py37(annotation: Any) -> str:
+ elif hasattr(annotation, '__origin__'):
+ # instantiated generic provided by a user
+ qualname = stringify(annotation.__origin__)
+- elif types_Union and isinstance(annotation, types_Union): # types.Union (for py3.10+)
++ elif UnionType and isinstance(annotation, UnionType): # types.Union (for py3.10+)
+ qualname = 'types.Union'
+ else:
+ # we weren't able to extract the base type, appending arguments would
diff --git a/dev-python/sphinx/sphinx-4.1.2.ebuild b/dev-python/sphinx/sphinx-4.1.2.ebuild
new file mode 100644
index 000000000000..8c897d7042b2
--- /dev/null
+++ b/dev-python/sphinx/sphinx-4.1.2.ebuild
@@ -0,0 +1,133 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1
+
+DESCRIPTION="Python documentation generator"
+HOMEPAGE="https://www.sphinx-doc.org/
+ https://github.com/sphinx-doc/sphinx"
+SRC_URI="mirror://pypi/S/${PN^}/${P^}.tar.gz"
+S=${WORKDIR}/${P^}
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
+IUSE="doc latex"
+
+RDEPEND="
+ <dev-python/alabaster-0.8[${PYTHON_USEDEP}]
+ >=dev-python/Babel-1.3[${PYTHON_USEDEP}]
+ dev-python/docutils[${PYTHON_USEDEP}]
+ dev-python/imagesize[${PYTHON_USEDEP}]
+ >=dev-python/jinja-2.3[${PYTHON_USEDEP}]
+ >=dev-python/pygments-2.0[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.5.0[${PYTHON_USEDEP}]
+ >=dev-python/snowballstemmer-1.1[${PYTHON_USEDEP}]
+ dev-python/sphinxcontrib-applehelp[${PYTHON_USEDEP}]
+ dev-python/sphinxcontrib-devhelp[${PYTHON_USEDEP}]
+ dev-python/sphinxcontrib-jsmath[${PYTHON_USEDEP}]
+ >=dev-python/sphinxcontrib-htmlhelp-2.0.0[${PYTHON_USEDEP}]
+ >=dev-python/sphinxcontrib-serializinghtml-1.1.5[${PYTHON_USEDEP}]
+ dev-python/sphinxcontrib-qthelp[${PYTHON_USEDEP}]
+ dev-python/packaging[${PYTHON_USEDEP}]
+ latex? (
+ dev-texlive/texlive-latexextra
+ dev-texlive/texlive-luatex
+ app-text/dvipng
+ )"
+BDEPEND="
+ doc? (
+ dev-python/sphinxcontrib-websupport[${PYTHON_USEDEP}]
+ media-gfx/graphviz
+ )
+ test? (
+ dev-python/html5lib[${PYTHON_USEDEP}]
+ virtual/imagemagick-tools[jpeg,png,svg]
+ dev-texlive/texlive-fontsextra
+ dev-texlive/texlive-latexextra
+ dev-texlive/texlive-luatex
+ app-text/dvipng
+ )"
+
+PATCHES=(
+ "${FILESDIR}/${PN}-3.2.1-doc-link.patch"
+ # https://github.com/sphinx-doc/sphinx/commit/1fd5f746539d3e02886032fae8d53af0c2f6ecdd
+ "${FILESDIR}/${P}-py310.patch"
+)
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # disable internet access
+ sed -i -e 's:^intersphinx_mapping:disabled_&:' \
+ doc/conf.py || die
+
+ # remove unnecessary upper bounds
+ sed -e '/Jinja2/s:,<3.0::' \
+ -e '/MarkupSafe/s:<2.0::' \
+ -i setup.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_compile() {
+ distutils-r1_python_compile
+
+ # Generate the grammar. It will be caught by install somehow.
+ # Note that the tests usually do it for us. However, I don't want
+ # to trust USE=test really running all the tests, especially
+ # with FEATURES=test-fail-continue.
+ pushd "${BUILD_DIR}"/lib >/dev/null || die
+ "${EPYTHON}" -m sphinx.pycode.__init__ || die "Grammar generation failed."
+ popd >/dev/null || die
+}
+
+python_compile_all() {
+ if use doc; then
+ esetup.py build_sphinx
+ HTML_DOCS=( "${BUILD_DIR}"/sphinx/html/. )
+ fi
+}
+
+python_test() {
+ mkdir -p "${BUILD_DIR}/sphinx_tempdir" || die
+ local -x SPHINX_TEST_TEMPDIR="${BUILD_DIR}/sphinx_tempdir"
+
+ local deselect=(
+ # these tests require Internet access
+ tests/test_build_latex.py::test_latex_images
+ tests/test_build_linkcheck.py::test_defaults
+ tests/test_build_linkcheck.py::test_defaults_json
+ tests/test_build_linkcheck.py::test_anchors_ignored
+ )
+ [[ ${EPYTHON} == python3.10 ]] && deselect+=(
+ tests/test_ext_autodoc.py::test_enum_class
+ )
+ [[ ${EPYTHON} == pypy3 ]] && deselect+=(
+ tests/test_build_linkcheck.py::test_connect_to_selfsigned_fails
+ tests/test_ext_autodoc.py::test_autodoc_inherited_members_None
+ tests/test_ext_autodoc.py::test_autodoc_typed_inherited_instance_variables
+ tests/test_ext_autodoc.py::test_autodoc_typed_instance_variables
+ tests/test_ext_autodoc.py::test_automethod_for_builtin
+ tests/test_ext_autodoc.py::test_cython
+ tests/test_ext_autodoc.py::test_partialfunction
+ tests/test_ext_autodoc_autoclass.py::test_autodoc_process_bases
+ tests/test_ext_autodoc_autoclass.py::test_show_inheritance_for_subclass_of_generic_type
+ tests/test_ext_autodoc_autodata.py::test_autodata_type_comment
+ tests/test_ext_autodoc_autofunction.py::test_builtin_function
+ tests/test_ext_autodoc_autofunction.py::test_methoddescriptor
+ tests/test_ext_autodoc_configs.py::test_autodoc_type_aliases
+ tests/test_ext_autodoc_configs.py::test_autodoc_typehints_signature
+ tests/test_ext_autosummary.py::test_autosummary_generate_content_for_module
+ tests/test_ext_autosummary.py::test_autosummary_generate_content_for_module_skipped
+ tests/test_pycode_parser.py::test_annotated_assignment
+ )
+
+ epytest ${deselect[@]/#/--deselect }
+}
diff --git a/dev-python/sqlalchemy/sqlalchemy-1.4.20.ebuild b/dev-python/sqlalchemy/sqlalchemy-1.4.20.ebuild
index 838d8e04245e..b0f555c99c40 100644
--- a/dev-python/sqlalchemy/sqlalchemy-1.4.20.ebuild
+++ b/dev-python/sqlalchemy/sqlalchemy-1.4.20.ebuild
@@ -18,7 +18,7 @@ S="${WORKDIR}/${MY_P}"
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~alpha amd64 arm ~arm64 ~hppa ~ia64 ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
IUSE="examples +sqlite test"
RDEPEND="
diff --git a/dev-python/wxpython/wxpython-4.0.7-r1.ebuild b/dev-python/wxpython/wxpython-4.0.7-r1.ebuild
index 956e122bccdd..5b3bfb758e41 100644
--- a/dev-python/wxpython/wxpython-4.0.7-r1.ebuild
+++ b/dev-python/wxpython/wxpython-4.0.7-r1.ebuild
@@ -18,7 +18,7 @@ SRC_URI="mirror://pypi/${P:0:1}/${MY_PN}/${MY_PN}-${MY_PV}.tar.gz"
LICENSE="wxWinLL-3"
SLOT="4.0"
-KEYWORDS="~alpha amd64 arm ~arm64 ppc ppc64 ~riscv ~sparc x86"
+KEYWORDS="~alpha amd64 arm arm64 ppc ppc64 ~riscv ~sparc x86"
IUSE="test webkit"
# Tests broken: #726812, #722716
RESTRICT="test"
diff --git a/dev-python/wxpython/wxpython-4.0.7.ebuild b/dev-python/wxpython/wxpython-4.0.7.ebuild
deleted file mode 100644
index 87a7891744e3..000000000000
--- a/dev-python/wxpython/wxpython-4.0.7.ebuild
+++ /dev/null
@@ -1,89 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-PYTHON_COMPAT=( python3_{6,7,8,9,10} )
-WX_GTK_VER="3.0-gtk3"
-
-inherit distutils-r1 multiprocessing virtualx wxwidgets
-
-MY_PN="wxPython"
-MY_PV="${PV}.post2"
-
-DESCRIPTION="A blending of the wxWindows C++ class library with Python"
-HOMEPAGE="https://www.wxpython.org/"
-SRC_URI="mirror://pypi/${P:0:1}/${MY_PN}/${MY_PN}-${MY_PV}.tar.gz"
-
-LICENSE="wxWinLL-3"
-SLOT="4.0"
-KEYWORDS="~alpha amd64 arm arm64 ppc ppc64 ~sparc x86"
-IUSE="test webkit"
-# Tests broken: #726812, #722716
-RESTRICT="test"
-#RESTRICT="!test? ( test )"
-
-# wxPython doesn't seem to be able to optionally disable features. webkit is
-# optionally patched out because it's so huge, but other elements are not,
-# which makes us have to require all features from wxGTK
-RDEPEND="
- >=x11-libs/wxGTK-3.0.4-r301:${WX_GTK_VER}=[gstreamer,libnotify,opengl,sdl,tiff,webkit?,X]
- media-libs/libpng:0=
- media-libs/tiff:0
- virtual/jpeg:0"
-
-DEPEND="${RDEPEND}
- app-doc/doxygen
- dev-python/setuptools[${PYTHON_USEDEP}]
- dev-python/six[${PYTHON_USEDEP}]
- test? (
- ${VIRTUALX_DEPEND}
- dev-python/appdirs[${PYTHON_USEDEP}]
- dev-python/numpy[${PYTHON_USEDEP}]
- dev-python/pillow[${PYTHON_USEDEP}]
- dev-python/pytest[${PYTHON_USEDEP}]
- )"
-
-S="${WORKDIR}/${MY_PN}-${MY_PV}"
-
-PATCHES=(
- "${FILESDIR}/${PN}-4.0.6-skip-broken-tests.patch"
-)
-
-python_prepare_all() {
- if ! use webkit; then
- eapply "${FILESDIR}/${PN}-4.0.6-no-webkit.patch"
- rm unittests/test_webview.py || die
- fi
- # Most of these tests disabled below fail because of the virtx/portage
- # environment, but some fail for unknown reasons.
- rm unittests/test_uiaction.py \
- unittests/test_notifmsg.py \
- unittests/test_mousemanager.py \
- unittests/test_display.py \
- unittests/test_pi_import.py \
- unittests/test_lib_agw_thumbnailctrl.py \
- unittests/test_sound.py || die
-
- distutils-r1_python_prepare_all
-}
-
-src_configure() {
- setup-wxwidgets
-}
-
-python_compile() {
- DOXYGEN=/usr/bin/doxygen ${PYTHON} build.py dox etg --nodoc || die
- ${PYTHON} build.py build_py \
- --use_syswx \
- --no_magic \
- --jobs=$(makeopts_jobs) \
- --release || die
-}
-
-python_install() {
- distutils-r1_python_install --skip-build
-}
-
-python_test() {
- virtx pytest -vv unittests
-}
diff --git a/dev-python/xmlschema/Manifest b/dev-python/xmlschema/Manifest
index e5a68e087ad4..1348812c0cde 100644
--- a/dev-python/xmlschema/Manifest
+++ b/dev-python/xmlschema/Manifest
@@ -1 +1,2 @@
DIST xmlschema-1.6.4.tar.gz 369270 BLAKE2B f3b98f0b8b4446dfa67da778c6b63585a894f4dcc9fd7ea98637ccd54b26e63aebc7f3fbc00e13ce43730b88da0f773a491917d5eae9301b5d22f6efe620473b SHA512 7e13d20a6add1cc5b6d0f732e672be3eeeb2f107fd2031cd5c22d1059d24b7d818c534817ea115d0c5f011727175bdcae71a0b8d55f1d6bd263a7e38286c26fc
+DIST xmlschema-1.7.0.tar.gz 370433 BLAKE2B 0270151705ca65d4b0f587e2ac75f7273a20242a0a315b4b954a6ccad6d46d7d093330a4c40d74a44c0c55af021da1c4ddde85f8431e0779d30e2164a599a335 SHA512 c4620f205cbdccef95a38eab6e6a5d6082681e3ff71708376f0ddeecd75a5c53f686fd740a41e98afd2ec5ec0f14be913b6c65bce80fab0143fa5fe1cc8a2ab6
diff --git a/dev-python/xmlschema/xmlschema-1.7.0.ebuild b/dev-python/xmlschema/xmlschema-1.7.0.ebuild
new file mode 100644
index 000000000000..bb6833c3f2fe
--- /dev/null
+++ b/dev-python/xmlschema/xmlschema-1.7.0.ebuild
@@ -0,0 +1,31 @@
+# Copyright 2019-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+inherit distutils-r1
+
+DESCRIPTION="An XML Schema validator and decoder"
+HOMEPAGE="https://github.com/sissaschool/xmlschema https://pypi.org/project/xmlschema/"
+SRC_URI="mirror://pypi/${PN::1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ >=dev-python/elementpath-2.2.2[${PYTHON_USEDEP}]"
+BDEPEND="
+ test? (
+ ${RDEPEND}
+ dev-python/jinja[${PYTHON_USEDEP}]
+ dev-python/lxml[${PYTHON_USEDEP}]
+ )"
+
+python_test() {
+ "${EPYTHON}" tests/test_all.py -v ||
+ die "Tests fail with ${EPYTHON}"
+}